/*This is to test the working of the GUI generated C code for 
Floating Point, Single Channel, Single Iteration mode,Tap Length = 10 */

#include<def21469.h>
#include<signal.h>

#define TAP 512
#define WINDOW 1024

extern Init_FIR();

void FIR_DMA_ISR();

float FIR_IP_buff1[TAP+WINDOW-1]={
									#include "fir_input.dat"
};
					
	
float FIR_OP_buff1[WINDOW];
	
float FIR_CF_buff1[TAP]={
							
							#include "fir_coeffs.dat"
						};

int main()
{
	
	interrupt(SIG_P0,FIR_DMA_ISR);
	
	Init_FIR();

		
	while(1)
	{
		int x;
		x=0;
	}
	return 0;
		
}
	
	
void FIR_DMA_ISR()
{
	int x;
	x=0;
	
}
